# Uses of Interface
org.eclipse.mat.snapshot.model.IClass

Packages that use IClass
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.inspections.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of IClass in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof that return IClass
Modifier and Type
Method
Description
`IClass`
IHprofParserHandler.`lookupClass(long classId)`
`IClass`
HprofParserHandlerImpl.`lookupClassByIndex(int objIndex)`
`IClass`
IHprofParserHandler.`lookupClassByIndex(int objIndex)`
`IClass`
HprofParserHandlerImpl.`lookupClassByName(String name, boolean failOnMultipleInstances)`
`IClass`
IHprofParserHandler.`lookupClassByName(String name, boolean failOnMultipleInstances)`
`IClass`
HprofParserHandlerImpl.`lookupPrimitiveArrayClassByType(byte elementType)`
`IClass`
IHprofParserHandler.`lookupPrimitiveArrayClassByType(byte elementType)`
Methods in org.eclipse.mat.hprof that return types with arguments of type IClass
Modifier and Type
Method
Description
`List<IClass>`
HprofParserHandlerImpl.`resolveClassHierarchy(long classId)`
`List<IClass>`
HprofRandomAccessParser.`resolveClassHierarchy(ISnapshot snapshot, IClass clazz)`
`List<IClass>`
IHprofParserHandler.`resolveClassHierarchy(long classId)`
Methods in org.eclipse.mat.hprof with parameters of type IClass
Modifier and Type
Method
Description
`void`
ExportHprof.`dumpThreadRoots(DataOutput os, IClass cls)`
`List<IClass>`
HprofRandomAccessParser.`resolveClassHierarchy(ISnapshot snapshot, IClass clazz)`

## Uses of IClass in org.eclipse.mat.inspections.collectionextract

Methods in org.eclipse.mat.inspections.collectionextract that return IClass
Modifier and Type
Method
Description
`IClass`
AbstractExtractedCollection.`getClazz()`
`IClass`
IMapExtractor.EntryObject.`getClazz()`

## Uses of IClass in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IClass
Modifier and Type
Method
Description
`IClass`
SnapshotImpl.`getClassOf(int objectId)`
Methods in org.eclipse.mat.parser.internal that return types with arguments of type IClass
Modifier and Type
Method
Description
`Collection<IClass>`
SnapshotImpl.`getClasses()`
`Collection<IClass>`
SnapshotImpl.`getClassesByName(String name, boolean includeSubClasses)`
`Collection<IClass>`
SnapshotImpl.`getClassesByName(Pattern namePattern, boolean includeSubClasses)`
`List<IClass>`
SnapshotImpl.`resolveClassHierarchy(int classIndex)`
Finds the class and all its superclasses.
Method parameters in org.eclipse.mat.parser.internal with type arguments of type IClass
Modifier and Type
Method
Description
`IMultiplePathsFromGCRootsComputer`
SnapshotImpl.`getMultiplePathsFromGCRoots(int[] objectIds, Map<IClass,Set<String>> excludeList)`
`IPathsFromGCRootsComputer`
SnapshotImpl.`getPathsFromGCRoots(int objectId, Map<IClass,Set<String>> excludeList)`

## Uses of IClass in org.eclipse.mat.parser.internal.snapshot

Constructor parameters in org.eclipse.mat.parser.internal.snapshot with type arguments of type IClass
Modifier
Constructor
Description
``
`MultiplePathsFromGCRootsComputerImpl(int[] objectIds, Map<IClass,Set<String>> excludeMap, SnapshotImpl snapshot)`

## Uses of IClass in org.eclipse.mat.parser.model

Classes in org.eclipse.mat.parser.model that implement IClass
Modifier and Type
Class
Description
`class`
`ClassImpl`
Implementation of a Java object representing a java.lang.Class object.
Methods in org.eclipse.mat.parser.model that return types with arguments of type IClass
Modifier and Type
Method
Description
`static final List<IClass>`
ClassLoaderImpl.`doGetDefinedClasses(ISnapshot dump, int classLoaderId)`
Gets the classes defined by a given loader
`List<IClass>`
ClassImpl.`getAllSubclasses()`
`List<IClass>`
ClassLoaderImpl.`getDefinedClasses()`
`List<IClass>`
ClassImpl.`getSubclasses()`

## Uses of IClass in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IClass
Modifier and Type
Method
Description
`IClass`
ISnapshot.`getClassOf(int objectId)`
Get object abstracting the real Java Class this object was an instance of in the heap dump identified by the given id.
`IClass`
MultiplePathsFromGCRootsClassRecord.`getClazz()`
Methods in org.eclipse.mat.snapshot that return types with arguments of type IClass
Modifier and Type
Method
Description
`Collection<IClass>`
ISnapshot.`getClasses()`
Get all classes.
`Collection<IClass>`
ISnapshot.`getClassesByName(String name, boolean includeSubClasses)`
Get all classes by name.
`Collection<IClass>`
ISnapshot.`getClassesByName(Pattern namePattern, boolean includeSubClasses)`
Get all classes by name pattern.
Methods in org.eclipse.mat.snapshot with parameters of type IClass
Modifier and Type
Method
Description
`static final String`
OQL.`forObjectsOfClass(IClass clasz)`
All objects of a given class.
Method parameters in org.eclipse.mat.snapshot with type arguments of type IClass
Modifier and Type
Method
Description
`IMultiplePathsFromGCRootsComputer`
ISnapshot.`getMultiplePathsFromGCRoots(int[] objectIds, Map<IClass,Set<String>> excludeMap)`
Returns an IMultiplePathsFromGCRootsComputer object, which can be used to calculate the shortest path from the GC roots to each of objects in the specified object set.
`IPathsFromGCRootsComputer`
ISnapshot.`getPathsFromGCRoots(int objectId, Map<IClass,Set<String>> excludeMap)`
Get interactive computer for paths from GC roots to the given object.
Constructors in org.eclipse.mat.snapshot with parameters of type IClass
Modifier
Constructor
Description
``
`MultiplePathsFromGCRootsClassRecord(IClass clazz, int level, boolean fromRoots, ISnapshot snapshot)`
Constructor

## Uses of IClass in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type IClass
Modifier and Type
Method
Description
`String`
ITroubleTicketResolver.`resolveByClass(IClass clazz, IProgressListener listener)`
Return a proposal for the component (e.g.

## Uses of IClass in org.eclipse.mat.snapshot.model

Methods in org.eclipse.mat.snapshot.model that return IClass
Modifier and Type
Method
Description
`IClass`
IObject.`getClazz()`
Get class snapshot object this object is an instance of.
`IClass`
IClass.`getSuperClass()`
Returns the super class.
Methods in org.eclipse.mat.snapshot.model that return types with arguments of type IClass
Modifier and Type
Method
Description
`List<IClass>`
IClass.`getAllSubclasses()`
Returns all sub-classes including sub-classes of its sub-classes.
`List<IClass>`
IClassLoader.`getDefinedClasses()`
Returns the classes defined by this class loader instance.
`List<IClass>`
IClass.`getSubclasses()`
Returns the direct sub-classes.

## Uses of IClass in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util with parameters of type IClass
Modifier and Type
Method
Description
`boolean`
QueryContextMenu.`anySubInstances(IClass cls)`
`boolean`
QueryContextMenu.`instanceOf(ISnapshot snapshot, IClass cls, String className)`
Instanceof test which works for simple object and array types